import { geoPath, geoGraticule, geoAlbers } from 'd3';

const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({ usMap: { state, interiors }, cities }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {state.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
      {cities.map(d => {
      const [x, y] = projection([d.Longitude, d.Latitude]);
      return <circle cx={x} cy={y} r={5}/>
    })}
  </g>
);
