import React from 'react';
import ReactDOM from 'react-dom';
import { useUsMap } from './useUsMap';
import { useCities } from './useCities';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const usMap = useUsMap();
  const cities = useCities();

  if (!usMap || !cities) {
    return <pre>Loading...</pre>;
  }

  console.log(usMap);
  console.log(cities);
  
  return (
    <svg width={width} height={height}>
      <Marks usMap={usMap} cities = {cities}/>
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
