import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/jgorsett/6492ab1253c04167d1639c4ced71b3bf/raw/598c733401b97b0a16b396f4e8d7c1469c8e4d4f/hotaling_cocktails-top_ingredients_by_location.csv'
const row = d => {
  d.Latitude = +d.Latitude;
  d.Longitude = +d.Longitude;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
